Subject: bug#18658: 24.3; deformed server-socket-dir

From: Glenn Morris <[email-masked]>
Date: Thu, 09 Oct 2014 21:03:57 -0400

Devon Sean McCullough wrote:

> Double slashes in server-socket-dir is a bug waiting to happen.

You mean, if someone sets TMPDIR to a value ending in a slash?
POSIX requires (non-leading) multiple / in a filename to be entirely
equivalent to one /, so it it hard to see how this could cause any
problems. Nevertheless expand-file-name does seem a bit cleaner.